package com.inspect.exec.service.impl;

import com.inspect.exec.domain.PatrolTaskPointExecRecord;
import com.inspect.exec.mapper.PatrolTaskPointExecRecordMapper;
import com.inspect.exec.service.IPatrolTaskPointExecRecordService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PatrolTaskPointExecRecordServiceImpl implements IPatrolTaskPointExecRecordService {
    private final PatrolTaskPointExecRecordMapper patrolTaskPointExecRecordMapper;

    public PatrolTaskPointExecRecordServiceImpl(PatrolTaskPointExecRecordMapper patrolTaskPointExecRecordMapper) {
        this.patrolTaskPointExecRecordMapper = patrolTaskPointExecRecordMapper;
    }

    public PatrolTaskPointExecRecord selectPatrolTaskPointExecRecordByPointId(Long pointId) {
        return this.patrolTaskPointExecRecordMapper.selectPatrolTaskPointExecRecordByPointId(pointId);
    }

    public List<PatrolTaskPointExecRecord> selectPatrolTaskPointExecRecordList(PatrolTaskPointExecRecord patrolTaskPointExecRecord) {
        return this.patrolTaskPointExecRecordMapper.selectPatrolTaskPointExecRecordList(patrolTaskPointExecRecord);
    }

    public int insertPatrolTaskPointExecRecord(PatrolTaskPointExecRecord patrolTaskPointExecRecord) {
        return this.patrolTaskPointExecRecordMapper.insertPatrolTaskPointExecRecord(patrolTaskPointExecRecord);
    }

    public int updatePatrolTaskPointExecRecord(PatrolTaskPointExecRecord patrolTaskPointExecRecord) {
        return this.patrolTaskPointExecRecordMapper.updatePatrolTaskPointExecRecord(patrolTaskPointExecRecord);
    }

    public int deletePatrolTaskPointExecRecordByPointIds(Long[] pointIds) {
        return this.patrolTaskPointExecRecordMapper.deletePatrolTaskPointExecRecordByPointIds(pointIds);
    }

    public int deletePatrolTaskPointExecRecordByPointId(Long pointId) {
        return this.patrolTaskPointExecRecordMapper.deletePatrolTaskPointExecRecordByPointId(pointId);
    }
}
